LFR-FSW - Task #3985

Test du chargement forcé des KCOEFF par défaut : écrasement des KCOEFF a bord
12/10/2022 05:44 PM - bruno katra

Status: Feedback Start date: 12/10/2022
Priority: Normal Due date:

Assignee: Alexis Jeandet % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.3 Spent time: 0.00 hour
revision: ro

Description

Demande de Thomas (mails du 11/10/2022) :
Hello Bruno,

As-tu le fichier des kcoeff correspondant au kcoef par defaut ? On pourrait déja commencer par vérifier que cela marche, comme
avec les valeurs par défaut (cohérence entre les SWF et les ASM). Non ?

Thomas
Voici ce que j'enverrais a Diane. C'est dans le méme format que le fichier que je t'avais fourni pour le cas des kcoeff unitaires. Par
rapport a ce que j'avais déja produit au moment de la définition des kcoeff par défaut pour Alexis (fichiers datant du 2021-09-08), j'ai

juste rajouté 3 décimales supplémentaires.

Thomas

Related issues:
Related to Task #3987: Tests avec KCOEFF distordus Closed 14/10/2022

History

#1 - 12/10/2022 05:46 PM - bruno katra

CTC-960 : SWEEP @FO0 en 3.3.0.10 avec LOAD KCOEFF des KCOEFF avec les mémes valeurs que ceux a bord par défaut + Analog discovery
avec splitter sur Channel 0 afin d'assurer le phasage parfait des signaux injectés, les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-9604&fileid=2730817

#2 - 13/10/2022 10:55 AM - thomas chust
- File ASM default loaded versus SWF calibrated full_F0.png added
- File ASM default loaded versus SWF calibrated interp_F0.png added

- Assignee changed from thomas chust to bruno katra

bruno katra wrote in #note-1:

CTC-960 : SWEEP @FO0 en 3.3.0.10 avec LOAD KCOEFF des KCOEFF avec les mémes valeurs que ceux a bord par défaut + Analog
discovery avec splitter sur Channel 0 afin d'assurer le phasage parfait des signaux injectés, les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-9604&fileid=2730817

C'est bon. Lorsque je calibre I'ASM calculée a partir d'un SWF de la méme maniére que fait a bord, c'est a dire en interpolant les kcoeff, je trouve un
accord a 0.4 % prés. Lorsque je calibre a partir des kcoeff full résolution (donc sans interpolation) on observe des écarts jusqu'a 25%. Cela montre la
limite de précision introduit par I'interpolation. Voir les 2 plots joints.

Bruno tu peux continuer a F1 et F2.

#3 - 13/10/2022 10:58 AM - bruno katra

Bruno tu peux continuer a F1 et F2.
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-960&fileid=2730817
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-960&fileid=2730817

Le test @F1 est en cours depuis ce matin

#4 - 13/10/2022 10:58 AM - bruno katra

- Status changed from New to In Progress

#5 - 13/10/2022 12:51 PM - bruno katra
CTC-961 : SWEEP @F1 en 3.3.0.10 avec LOAD KCOEFF des KCOEFF avec les mémes valeurs que ceux a bord par défaut + Analog discovery
avec splitter sur Channel 0 afin d'assurer le phasage parfait des signaux injectés :

/\\ Cette fois ci j'ai rajouté une étape préparatoire ou j'uploade d'abord les KCOEFF unitaires puis ensuite je réécrase avec le fichier de Thomas qui
contient les KCOEFF par défaut, ceci afin d'étre sar que les valeurs a bord ont bien été changée une fois car écraser les KCOEFF par défaut a bord
avec les mémes valeurs directement ne permet pas de discriminer si l'upload est bien pris en compte. Je fais ¢a avant de dumper les données donc
Thomas ¢a ne change rien au nombre de fichier et I'ordre dans lequel tu les traites d'habitude.

Les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-961&fileid=2731310

#6 - 13/10/2022 01:00 PM - bruno katra
CTC-962 : SWEEP @F2 en 3.3.0.10 avec LOAD KCOEFF des KCOEFF avec les mémes valeurs que ceux & bord par défaut + Analog discovery
avec splitter sur Channel 0 afin d'assurer le phasage parfait des signaux injectés :

/\\ Cette fois ci j'ai rajouté une étape préparatoire ou j'uploade d'abord les KCOEFF unitaires puis ensuite je réécrase avec le fichier de Thomas qui
contient les KCOEFF par défaut, ceci afin d'étre str que les valeurs a bord ont bien été changée une fois car écraser les KCOEFF par défaut a bord
avec les mémes valeurs directement ne permet pas de discriminer si I'upload est bien pris en compte. Je fais ¢a avant de dumper les données donc
Thomas ¢a ne change rien au nombre de fichier et I'ordre dans lequel tu les traites d'habitude.

Les résultats :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-962&(fileid=2731519

#7 - 13/10/2022 03:38 PM - thomas chust
- File ASM default loaded versus SWF calibrated interp_F1.png added
- File ASM default loaded versus SWF calibrated full_F1.png added

bruno katra wrote in #note-5:

CTC-961 : SWEEP @F1 en 3.3.0.10 avec LOAD KCOEFF des KCOEFF avec les mémes valeurs que ceux a bord par défaut + Analog
discovery avec splitter sur Channel 0 afin d'assurer le phasage parfait des signaux injectés :

/\\ Cette fois ci j'ai rajouté une étape préparatoire ou j'uploade d'abord les KCOEFF unitaires puis ensuite je réécrase avec le fichier de Thomas
qui contient les KCOEFF par défaut, ceci afin d'étre sr que les valeurs a bord ont bien été changée une fois car écraser les KCOEFF par défaut
a bord avec les mémes valeurs directement ne permet pas de discriminer si l'upload est bien pris en compte. Je fais ¢a avant de dumper les
données donc Thomas ¢a ne change rien au nombre de fichier et I'ordre dans lequel tu les traites d'habitude.

Les résultats :

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-961&fileid=2731310

Résultats similaire qu'a FO (#note-2); voir plots attachés.

#8 - 13/10/2022 03:39 PM - thomas chust
- File ASM default loaded versus SWF calibrated interp_F2.png added
- File ASM default loaded versus SWF calibrated full_F2.png added

bruno katra wrote in #note-6:

CTC-962 : SWEEP @F2 en 3.3.0.10 avec LOAD KCOEFF des KCOEFF avec les mémes valeurs que ceux a bord par défaut + Analog
discovery avec splitter sur Channel 0 afin d'assurer le phasage parfait des signaux injectés :

/\\ Cette fois ci j'ai rajouté une étape préparatoire ou j'uploade d'abord les KCOEFF unitaires puis ensuite je réécrase avec le fichier de Thomas
qui contient les KCOEFF par défaut, ceci afin d'étre str que les valeurs a bord ont bien été changée une fois car écraser les KCOEFF par défaut
a bord avec les mémes valeurs directement ne permet pas de discriminer si 'upload est bien pris en compte. Je fais ¢a avant de dumper les
données donc Thomas ¢a ne change rien au nombre de fichier et I'ordre dans lequel tu les traites d'habitude.

Les résultats :
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-961&fileid=2731310
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-962&fileid=2731519
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-961&fileid=2731310

https://ac.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-962&fileid=2731519

Résultats similaire qu'a FO (#note-2); voir plots attachés.

#9 - 14/10/2022 09:56 AM - bruno katra

- Status changed from In Progress to Feedback

#10 - 14/10/2022 02:54 PM - thomas chust
- File ASM default loaded versus SWF calibrated interp+4s_F2.png added

thomas chust wrote in #note-8:

bruno katra wrote in #note-6:

CTC-962 : SWEEP @F2 en 3.3.0.10 avec LOAD KCOEFF des KCOEFF avec les mémes valeurs que ceux a bord par défaut + Analog
discovery avec splitter sur Channel 0 afin d'assurer le phasage parfait des signaux injectés :

https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-962&fileid=2731519

Résultats similaire qu'a FO (#note-2); voir plots attachés.

J'ai refait I'analyse en extrayant des SWF de 8 s les 4 s qui coincident avec les 4 s des ASM. Résultats identiques, les différences étant infimes avec
les calculs qui prennent les SWF en entier. Plot attaché.

Cela signifierait que la précision de 0.1-0.4 % (et jamais mieux) observée jusqu'a présent dans nos comparaisons relatives, est essentiellement due
aux coefficient de la la fenétre de Hanning codée en VHDL (nombre de bit fini et précision limitée par rapport a des float)

#11 - 02/11/2022 02:38 PM - thomas chust
- Related to Task #3987: Tests avec KCOEFF distordus added

#12 - 03/11/2022 02:28 PM - thomas chust

- File ASM default loaded versus SWF calibrated interp cub_F0.png added
- File ASM default loaded versus SWF calibrated interp cub_F1.png added
- File ASM default loaded versus SWF calibrated interp cub_F2.png added

- Assignee changed from bruno katra to Alexis Jeandet

thomas chust wrote in #note-2:

C'est bon. Lorsque je calibre 'ASM calculée a partir d'un SWF de la méme maniere que fait a bord, c'est a dire en interpolant les kcoeff, je
trouve un accord a 0.4 % prés. Lorsque je calibre a partir des kcoeff full résolution (donc sans interpolation) on observe des écarts jusqu'a 25%.
Cela montre la limite de précision introduit par l'interpolation. Voir les 2 plots joints.

Alexis, on avait dit qu'on essayerait de faire mieux qu'une interpolation linéaire. Je te propose de faire une interpolation a I'aide de spline cubiques:
https://docs.scipy.org/doc/scipy/reference/generated/scipy.interpolate.CubicSpline.html#scipy.interpolate.CubicSpline

Lorsque je I'utilise et compare avec la calibration faite a bord actuellement (interpolation linéraire) je trouve des écarts immitant ceux que j'ai trouvé
avec les kcoeff pleine résolution (les plots "ASM default loaded versus SWF calibrated full_Fj"). Voir les plots attachés "ASM default loaded versus
SWEF calibrated interp cub_Fj". Cela signifie que l'interpolation avec splines cubiques donne des résultats plus proches des courbes pleines
résolutions que l'interpolation linéaire (on s'en doutait, c'est juste une confirmation). A priori l'interpolation avec splines cubiques est une méthode
classique que tu devrais trouver dans des package C, tu confirmes ?

#13 - 16/11/2022 02:40 PM - Alexis Jeandet

Alexis, on avait dit qu'on essayerait de faire mieux qu'une interpolation linéaire. Je te propose de faire une interpolation a I'aide de spline
cubiques: https://docs.scipy.org/doc/scipy/reference/generated/scipy.interpolate.CubicSpline.html#scipy.interpolate.CubicSpline

Lorsque je l'utilise et compare avec la calibration faite a bord actuellement (interpolation linéraire) je trouve des écarts immitant ceux que j'ai
trouvé avec les kcoeff pleine résolution (les plots "ASM default loaded versus SWF calibrated full_Fj"). Voir les plots attachés "ASM default
loaded versus SWF calibrated interp cub_Fj". Cela signifie que l'interpolation avec splines cubiques donne des résultats plus proches des
courbes pleines résolutions que l'interpolation linéaire (on s'en doutait, c'est juste une confirmation). A priori l'interpolation avec splines cubiques
est une méthode classique que tu devrais trouver dans des package C, tu confirmes ?

Des packages C, ¢a existe pas vraiment, si on utilise ¢a, alors il faut totalement le coder en s'inspirant éventuellement de (bouts de) codes en ligne.
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-962&fileid=2731519
https://ao.lpp.polytechnique.fr/index.php/apps/files/?dir=/LFR/3.3.0.10/CTC-962&fileid=2731519
https://docs.scipy.org/doc/scipy/reference/generated/scipy.interpolate.CubicSpline.html#scipy.interpolate.CubicSpline
https://docs.scipy.org/doc/scipy/reference/generated/scipy.interpolate.CubicSpline.html#scipy.interpolate.CubicSpline

Pour le moment, j'ai trouvé ¢a https:/gist.qgithub.com/svdamani/1015¢5¢c4b673¢c3297309.

#14 - 16/11/2022 05:16 PM - bruno katra

On a les sources au labo quelques part d'un ancienne version des numerical recipes en C mais c'est propriétaire.

Chez Boost il y a de l'interpolation bicubique mais c'est du C++ :

https://www.boost.org/doc/libs/1_65_0/libs/math/doc/html/math_toolkit/interpolate/cubic_b.html

Sinon en cherchant du cété de la GNU Scientific Library cela semble exister aussi : https://www.gnu.org/software/gsl/doc/html/interp.html#id2

et la on devrait pouvoir taper dans le code source nan?

Des packages C, ¢a existe pas vraiment, si on utilise ¢a, alors il faut totalement le coder en s'inspirant éventuellement de (bouts de) codes en

ligne. Pour le moment, j'ai trouvé ¢a https:/gist.qgithub.com/svdamani/1015¢c5¢c4b673¢c3297309.

Files

kcoefficients_ FSW_R3.3.0.10_AC_DIFF_G5_or_DC_DIFF_G1_R=0-01&.Rdfida=1e-04 1208220022 1.csv
kcoefficients_FSW_R3.3.0.10_AC_DIFF_G5_or_DC_DIFF_G1_R=0-020.84fda=1e-04 1208220022 1 .txt
